v_sdirxss: fzetta_fmc_iic.h File Reference

| v_sdirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
fzetta_fmc_iic.h File Reference

## Overview

FMC configuration file.

This file configures the FMC card for KCU116 SDI Tx to SDI Rx loopback design board.

    MODIFICATION HISTORY:

    Ver   Who  Date       Changes

    1.0  jsr   03/07/2018 Initial version

## Functions
int | fzetta_fmc_iic_init (u8 Dev_ID)
| This function Initializes IIC IP and its corresponding drivers and configptr instances. More...
int | fzetta_fmc_iic_xbar_register_write (u8 RegAddr, u8 RegData)
| This function Fidus Zetta FMC Xbar Switch (DS10CP15A) IIC Register Write Sequence: START –> SMB ADDR + W –> ACK –> Xbar Reg ADDR \ –> ACK –> Xbar Reg DATA –> ACK –> STOP. More...
u8 | fzetta_fmc_iic_xbar_register_read (u8 RegAddr)
| This function Fidus Zetta FMC Xbar Switch DS10CP15A Register Read IIC Sequence: START –> SMB ADDR + W –> ACK –> Xbar Reg ADDR –> ACK \ –> START –> SMB ADDR + R –> ACK –> Xbar Reg DATA –> NACK –>STOP NOT WORKING YET. More...

## Function Documentation

int fzetta_fmc_iic_init | ( | u8 | Dev_ID | ) |

This function Initializes IIC IP and its corresponding drivers and configptr instances.

Parameters

  Dev_ID | Device ID.

Returns
  XST_SUCCESS if initialization is successful else XST_FAILURE

Note
  None.

Referenced by fzetta_fmc_ip_init().

u8 fzetta_fmc_iic_xbar_register_read | ( | u8 | RegAddr | ) |

This function Fidus Zetta FMC Xbar Switch DS10CP15A Register Read IIC Sequence: START –> SMB ADDR + W –> ACK –> Xbar Reg ADDR –> ACK \ –> START –> SMB ADDR + R –> ACK –> Xbar Reg DATA –> NACK –>STOP NOT WORKING YET.

Parameters

  RegAddr | Register Address.

Returns
  XST_SUCCESS if register read is successful else XST_FAILURE

Note
  None.

Referenced by fzetta_fmc_register_read().

int fzetta_fmc_iic_xbar_register_write | ( | u8 | RegAddr,
|  | u8 | RegData
| ) |  |

This function Fidus Zetta FMC Xbar Switch (DS10CP15A) IIC Register Write Sequence: START –> SMB ADDR + W –> ACK –> Xbar Reg ADDR \ –> ACK –> Xbar Reg DATA –> ACK –> STOP.

Parameters

  RegAddr | Register Address.
  RegData | Register Data

Returns
  XST_SUCCESS if register write is successful else XST_FAILURE

Note
  None.

Referenced by fzetta_fmc_register_write().